<template>
  <div :class="['notification', type, {'text-white': !light}]" :id="id">
    <Warning :class="{icon: true, white: !light}" v-if="type === 'warning'"/>
    <Error :class="{icon: true, white: !light}" v-if="type === 'error'"/>
    <Success :class="{icon: true, white: !light}" v-if="type === 'success'"/>
    <p class="message">{{message}}</p>
  </div>
</template>

<script>
import Warning from "@/assets/svgs/warning.svg";
import Error from "@/assets/svgs/error.svg";
import Success from "@/assets/svgs/success.svg";

export default {
  name: "Notification",
  components: {
    Warning,
    Error,
    Success
  },
  props: {
    id: {
      type: String,
      required: true
    },
    message: {
      type: String,
      required: true
    },
    type: {
      type: String,
      required: true
    },
    light: {
      type: Boolean,
      default: false
    }
  }
}
</script>

<style lang="stylus" scoped>
@import "~assets/styles/variables" 

.notification
  padding 1.5rem 2rem
  border-radius 4px
  min-width 35rem
  color $black
  display flex
  direction rtl
  align-items center
  position relative
  @media only screen and (max-width: 500px)
    min-width auto

  box-shadow 0 .5rem 1rem rgba(black, .1)
  &.warning
    background-color $warning
  &.error
    background-color $error
  &.success
    background-color $success

.text-white
  color $white

.message
  font-size 1.4rem  

.icon
  margin-left 1.5rem
  fill $black
  width 2.4rem
  height 2.4rem
  &.white
    fill $white

</style>

